> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove shipping options

> Remove shipping options for specified warehouse and shipping zone.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /store/shipping-options/remove
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /store/shipping-options/remove:
    parameters: []
    post:
      tags:
        - Store
      summary: Remove shipping options
      description: Remove shipping options for specified warehouse and shipping zone.
      operationId: remove-shipping-option
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManageShippingOption'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
components:
  schemas:
    ManageShippingOption:
      title: ManageShippingOption
      oneOf:
        - $ref: '#/components/schemas/ShippingZoneBasedShippingOption'
        - $ref: '#/components/schemas/WarehouseBasedShippingOption'
      x-tags:
        - Store
    ShippingZoneBasedShippingOption:
      title: ShippingZoneBasedShippingOption
      type: object
      required:
        - based_on
        - shipping_zone_id
        - service_provider_id
      properties:
        based_on:
          type: string
          const: shipping-zone
        shipping_zone_id:
          type: string
        service_provider_id:
          type: array
          items:
            type: string
      x-tags:
        - Store
    WarehouseBasedShippingOption:
      title: WarehouseBasedShippingOption
      type: object
      required:
        - based_on
        - warehouse_id
        - service_provider_id
      properties:
        based_on:
          type: string
          const: warehouse
        warehouse_id:
          type: string
        service_provider_id:
          type: array
          items:
            type: string
      x-tags:
        - Store
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````